/*

  Mini IR Infrared Sensor Module AM312 Sensor

  Parts required:
  - Arduino Board
  - Mini IR Infrared Sensor Module AM312 Sensor

  Programming by : René Rasmussen
  Website : www.it-teknolog.dk
  Contact : renerasmussen@it-teknolog.dk
  Date : 18 Mar 2020
  Version : v1.0

  Modulet kan købes på www.arduinotech.dk

*/
int inputPin = 2;                             // set input from PIR to pin 2
int digitalReadValue;                         // set variable digitalReadValue for store state of PIR input

void setup() {
  pinMode(inputPin, INPUT);                   // set inputPin to INPUT
  Serial.begin(9600);                         // start serial communication
}

void loop() {
  digitalReadValue = digitalRead(inputPin);   // read digital pin 7 and store in digitalReadValue
  if (digitalReadValue == 1) {                // if digitalReadValue is HIGH do
    Serial.println("Active");                 // print text to serial monitor
    delay(2500);                              // wait 1000ms
  }
  else {
    Serial.println("Not Active...");          // print text to serial monitor
    delay(2500);                              // wait 1000ms
  }

}
